Add an appointment
curl --request POST \
--url https://api.casexchange.com/api/public/v1/med-cases/{caseId}/appointments \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"doctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medReferralId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentDate": "2023-12-25",
"appointmentTime": "<string>",
"attended": true,
"primaryInjuryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relatedInjuryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"insuranceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.casexchange.com/api/public/v1/med-cases/{caseId}/appointments"
payload = {
"doctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medReferralId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentDate": "2023-12-25",
"appointmentTime": "<string>",
"attended": True,
"primaryInjuryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relatedInjuryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"insuranceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
doctorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
providerLocationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
medReferralId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
appointmentDate: '2023-12-25',
appointmentTime: '<string>',
attended: true,
primaryInjuryId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
relatedInjuryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
insuranceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.casexchange.com/api/public/v1/med-cases/{caseId}/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medCaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medReferralId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treatingProviderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"doctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"doctor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"title": "<string>"
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"appointmentDate": "2023-12-25",
"appointmentTime": "<string>",
"attended": true,
"cancelledAt": "2023-11-07T05:31:56Z",
"category": "initial",
"source": "manual",
"premierStatus": "CHECKED_IN",
"isHistorical": true,
"primaryInjuryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relatedInjuryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"insuranceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalBilled": "<string>",
"totalPaid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}Med Appointments
Add an appointment
Requires a provider-scoped key (cxpp_) at STANDARD tier. Firm and admin keys receive 403 wrong_scope. Restricted-access practices receive 403 restricted_access. Supplying a medReferralId that belongs to another practice is refused as 404 not_found. Fires the same notifications, activity and appointment.created webhook as an in-app create. A duplicate of a Premier-synced appointment returns 409 conflict with existingAppointmentId.
POST
/
med-cases
/
{caseId}
/
appointments
Add an appointment
Authorizations
Public API key: cxp_<hex> (firm-scoped) or cxpp_<hex> (provider-scoped). Required on every request.
Path Parameters
Med case UUID
Body
application/json
From GET /me/doctors
From GET /me/locations
Defaults to your practice's most active referral on the case
Pattern:
^([01]\d|2[0-3]):[0-5]\d(:[0-5]\d)?$Available options:
initial, follow_up, imaging, treatment, other Maximum array length:
50
